#!/bin/bash
#
# Init Script for server Container
#

echo [init.sh] dictation_server initialize.

# /app の権限がデフォルトでは node ユーザーになっているため、
# 権限確認し、vscode ユーザでない場合付け替える
ls -ld /app | grep vscode
if [ $? -ne 0 ]; then
  echo [init.sh] change /app owner to vscode.
  sudo chown -R vscode:vscode /app
fi

cd /app/dictation_server

echo [init.sh] initialize completed!

sleep infinity
